Send a custom notification
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/notifications/custom \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
POST /api/v2/notifications/custom
Body parameter
{
"content": {
"message": "string",
"title": "string"
}
}
Parameters
Example responses
400 Response
{
"detail": "string",
"message": "string",
"validations": [
{
"detail": "string",
"field": "string"
}
]
}
Responses
To perform this operation, you must be authenticated. Learn more .
Get notification dispatch methods
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/notifications/dispatch-methods \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /api/v2/notifications/dispatch-methods
Example responses
200 Response
[
{
"available": [
"string"
],
"default": "string"
}
]
Responses
Response Schema
Status Code 200
Name Type Required Restrictions Description [array item]array false » availablearray false » defaultstring false
To perform this operation, you must be authenticated. Learn more .
List inbox notifications
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/notifications/inbox \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /api/v2/notifications/inbox
Parameters
Name In Type Required Description targetsquery string false Comma-separated list of target IDs to filter notifications templatesquery string false Comma-separated list of template IDs to filter notifications read_statusquery string false Filter notifications by read status. Possible values: read, unread, all starting_beforequery string(uuid) false ID of the last notification from the current page. Notifications returned will be older than the associated one
Example responses
200 Response
{
"notifications": [
{
"actions": [
{
"label": "string",
"url": "string"
}
],
"content": "string",
"created_at": "2019-08-24T14:15:22Z",
"icon": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"read_at": "string",
"targets": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",
"title": "string",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}
],
"unread_count": 0
}
Responses
To perform this operation, you must be authenticated. Learn more .
Mark all unread notifications as read
Code samples
# Example request using curl
curl -X PUT http://coder-server:8080/api/v2/notifications/inbox/mark-all-as-read \
-H 'Coder-Session-Token: API_KEY'
PUT /api/v2/notifications/inbox/mark-all-as-read
Responses
Status Meaning Description Schema 204 No Content No Content
To perform this operation, you must be authenticated. Learn more .
Watch for new inbox notifications
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/notifications/inbox/watch \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /api/v2/notifications/inbox/watch
Parameters
Name In Type Required Description targetsquery string false Comma-separated list of target IDs to filter notifications templatesquery string false Comma-separated list of template IDs to filter notifications read_statusquery string false Filter notifications by read status. Possible values: read, unread, all formatquery string false Define the output format for notifications title and body.
Enumerated Values
Parameter Value(s) formatmarkdown, plaintext
Example responses
200 Response
{
"notification": {
"actions": [
{
"label": "string",
"url": "string"
}
],
"content": "string",
"created_at": "2019-08-24T14:15:22Z",
"icon": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"read_at": "string",
"targets": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",
"title": "string",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
},
"unread_count": 0
}
Responses
To perform this operation, you must be authenticated. Learn more .
Update read status of a notification
Code samples
# Example request using curl
curl -X PUT http://coder-server:8080/api/v2/notifications/inbox/{id}/read-status \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
PUT /api/v2/notifications/inbox/{id}/read-status
Parameters
Name In Type Required Description idpath string true id of the notification
Example responses
200 Response
{
"detail": "string",
"message": "string",
"validations": [
{
"detail": "string",
"field": "string"
}
]
}
Responses
To perform this operation, you must be authenticated. Learn more .
Get notifications settings
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/notifications/settings \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /api/v2/notifications/settings
Example responses
200 Response
{
"notifier_paused": true
}
Responses
To perform this operation, you must be authenticated. Learn more .
Update notifications settings
Code samples
# Example request using curl
curl -X PUT http://coder-server:8080/api/v2/notifications/settings \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
PUT /api/v2/notifications/settings
Body parameter
{
"notifier_paused": true
}
Parameters
Example responses
200 Response
{
"notifier_paused": true
}
Responses
To perform this operation, you must be authenticated. Learn more .
Get custom notification templates
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/notifications/templates/custom \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /api/v2/notifications/templates/custom
Example responses
200 Response
[
{
"actions": "string",
"body_template": "string",
"enabled_by_default": true,
"group": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "string",
"method": "string",
"name": "string",
"title_template": "string"
}
]
Responses
Response Schema
Status Code 200
Name Type Required Restrictions Description [array item]array false » actionsstring false » body_templatestring false » enabled_by_defaultboolean false » groupstring false » idstring(uuid) false » kindstring false » methodstring false » namestring false » title_templatestring false
To perform this operation, you must be authenticated. Learn more .
Get system notification templates
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/notifications/templates/system \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /api/v2/notifications/templates/system
Example responses
200 Response
[
{
"actions": "string",
"body_template": "string",
"enabled_by_default": true,
"group": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "string",
"method": "string",
"name": "string",
"title_template": "string"
}
]
Responses
Response Schema
Status Code 200
Name Type Required Restrictions Description [array item]array false » actionsstring false » body_templatestring false » enabled_by_defaultboolean false » groupstring false » idstring(uuid) false » kindstring false » methodstring false » namestring false » title_templatestring false
To perform this operation, you must be authenticated. Learn more .
Send a test notification
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/notifications/test \
-H 'Coder-Session-Token: API_KEY'
POST /api/v2/notifications/test
Responses
Status Meaning Description Schema 200 OK OK
To perform this operation, you must be authenticated. Learn more .
Get user notification preferences
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/users/{user}/notifications/preferences \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /api/v2/users/{user}/notifications/preferences
Parameters
Name In Type Required Description userpath string true User ID, name, or me
Example responses
200 Response
[
{
"disabled": true,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
}
]
Responses
Response Schema
Status Code 200
Name Type Required Restrictions Description [array item]array false » disabledboolean false » idstring(uuid) false » updated_atstring(date-time) false
To perform this operation, you must be authenticated. Learn more .
Update user notification preferences
Code samples
# Example request using curl
curl -X PUT http://coder-server:8080/api/v2/users/{user}/notifications/preferences \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
PUT /api/v2/users/{user}/notifications/preferences
Body parameter
{
"template_disabled_map": {
"property1": true,
"property2": true
}
}
Parameters
Example responses
200 Response
[
{
"disabled": true,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
}
]
Responses
Response Schema
Status Code 200
Name Type Required Restrictions Description [array item]array false » disabledboolean false » idstring(uuid) false » updated_atstring(date-time) false
To perform this operation, you must be authenticated. Learn more .